• 0

    posted a message on LiteLoader
    Quote from Goldblocks777»

    It doesn't give a crash report. It crashes when at the bottom of the screen it says "starting game"


    It says click here for crash report but it doesn't work, and the launcher log is blank.

    Also, liteloaded loads fine when I don't have voxelmap in my mods folder, but when I do it just crashes.


    Yeah, the launcher is broken with logging in liteloader/forge. Crash reports can be found in .minecraft/crashreports.
    Posted in: Minecraft Mods
  • 0

    posted a message on LiteLoader
    Quote from Goldblocks777»

    Whenever I try to load it with voxelmap, it crashes. I have voxelmap in my mods folder and it has .litemod at the end but my minecraft crashes everytime it loads!


    A crash report would help.
    Posted in: Minecraft Mods
  • 0

    posted a message on TabbyChat 2 - SMP Chat Overhaul (New Maintainer)

    Do you have Liteloader installed?

    Posted in: Minecraft Mods
  • 0

    posted a message on TabbyChat 2 - SMP Chat Overhaul (New Maintainer)

    Well that's embarrassing. I fixed that before updating to 1.11. I'll have to release that later.

    Posted in: Minecraft Mods
  • 0

    posted a message on LiteLoader
    Quote from acterHD»

    I do not understand the Chinese Java logic in this language very little education. 10 times less than C ++, which in turn is 10 times less knowledge of JavaScript (Web). It is better to give an example of code injection return.


    I and without Java killed 5 years of my damn life to the study of programming languages ...


    Personally, I wouldn't recommend using Mixins if you're not very experienced in Java.

    Although, there are lots of examples in liteloader and sponge. As well as a few of my mods.
    Posted in: Minecraft Mods
  • 0

    posted a message on LiteLoader
    Quote from acterHD»

    Also, I want ask another question. It possible replace... ?


    else if (settingOption == GameSettings.Options.GUI_SCALE)
     {
     return s + getTranslation(GUISCALES, this.guiScale);
     }



    To another if-return function in:

    public String getKeyBinding(GameSettings.Options settingOption)


    Use the @Redirect annotation.
    Posted in: Minecraft Mods
  • 0

    posted a message on LiteLoader
    Quote from acterHD»

    Await.... But LiteLoader compatible with Forge Gradle?


    Yes. It uses FG now. See the example mod for the... example.
    Posted in: Minecraft Mods
  • 0

    posted a message on LiteLoader
    Quote from NeonIsNeon»

    I have an issue with the .litemod, I seem to have made it that whenever I try to open/ download that file type, it automatically tries to open it with paint and I can't seem to revert this. Is there any file format that I can try to change this to? Notepad, winrar, wordpad all don't seem to work too. I am also on windows 10 64 bit. <!--StartFragment -->
    <!--StartFragment -->

    https://gyazo.com/c308862439907f09347b1f24398c6149


    It's technically a zip archive, so you can try to associate it with 7zip or winrar if you have those installed.
    Posted in: Minecraft Mods
  • 0

    posted a message on TabbyChat 2 - SMP Chat Overhaul (New Maintainer)
    Quote from arturek1666»

    Is it possible to add spell checker for other languages? Like Polish, German, Spanish? and other languages?



    This is the first time someone has asked about this, and surprisingly, I have support for it.

    Dictionaries can be downloaded here. https://sourceforge.net/projects/jazzydicts/files/jazzydicts/Dictionaries 1.0/

    Download the zip corresponding to your language. Inside, there should be a file ending in .dic. Extract that to .minecraft/liteconfig/common/TabbyChat2/dicts.

    The spellchecker should automatically switch to the dictionary when you change your language to it. If the dictionary isn't found, american english will be used.

    The relevant code for this is here. https://git.io/vMyEc

    Posted in: Minecraft Mods
  • 0

    posted a message on LiteLoader
    Quote from SolarEntropy»

    I was trying to keep it not specific in case I ran into another similar scenario, but I'm wanting to access GlStateManagers states (alphaState, blendState etc.), which are of class AlphaState, BooleanState, etc. all being inner classes.

    If you hop on irc (irc.esper.net) #liteloader or #spongedev, we can probably help you better.
    Posted in: Minecraft Mods
  • 0

    posted a message on LiteLoader
    Quote from jessiekitty212»

    I really need help! I ran Forge and Liteloader together and when I went to start a new world.. BLACK SCREEN. I tried everything, took out mods and put them out, deleted and re-downloaded but NOTHING WORKS! I really miss playing without mods. I don't know what to do! :(


    Do you have a log?
    Posted in: Minecraft Mods
  • 0

    posted a message on LiteLoader

    Maybe it would help if you told us what field you wanted to use and what for.

    Posted in: Minecraft Mods
  • 0

    posted a message on LiteLoader

    mixins can't have static methods. You might have a better experience using PrivateFields

    Posted in: Minecraft Mods
  • 0

    posted a message on LiteLoader
    Quote from SolarEntropy»

    Is there a way to make my mod take priority over all others when it comes to custom class transformations (e.g. overriding Optifine's modifications)?


    Optifine uses a tweak order of -1000, so it always gets run first. Unless you use a tweaker, you can't change this for transformers. Those just depend on the order which they were added.
    Posted in: Minecraft Mods
  • 1

    posted a message on LiteLoader
    Quote from ccar795»

    Clean installed minecraft, forge and liteloader and it launches again no problem. What's weird is that it didn't do this last week when I last played and just started happening today. What could have caused this error in the first place? Thank you for the help btw.


    The jar or json probably got corrupt. In all likelihood, liteloader probably got removed from the libraries list.
    Posted in: Minecraft Mods
  • To post a comment, please or register a new account.